﻿<!DOCTYPE html>
<head>
    <meta name="author" content="Tan Yun-E"/>
    <meta name="description" content="FED_Assignment_S10223135"/>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="css/styles.css"/>
    <link href="https://fonts.googleapis.com/css2?family=IBM+Plex+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap"
          rel="stylesheet">
    <script type="module" src="../vue/index.js"></script>
    <script src="js/ArtScienceMuseum.js"></script>
    <title>ArtScience Museum booking form</title>
</head>
<body class="body-form">
<div id="header" class="header-bg"></div>
<section class="booking-form mx-auto text-center  flex flex-col flex-1">
    <h1 class="booking-heading text-center"><br/>Book your tickets</h1>
    <div class="form grid grid-cols-1 md:grid-cols-2">

        <div class="col-1 col-1-formatting">
            <form>
                <br/>
                <label class="ticket-label">Event: </label>
                <select required name="Option" id="choose-event" onchange="option()">
                    <option value="Future World">Future World</option>
                    <option value="Radical Curiosity">Radical Curiosity</option>
                    <option value="Hope From Chaos">Hope From Chaos</option>
                    <option value="Attack On Titans">Attack On Titans</option>
                </select><br/>

                <label class="ticket-label">Date of event: </label>
                <input type="date" id="ticket-date" onchange="option()" required/><br/>

                <label class="ticket-label">Ticket type: </label><br/>
                <input type="radio" id="adult" name="ticket-type" value="Adult" onchange="option()" required/>
                <label for="adult">Adult</label>
                <input type="radio" id="concession" name="ticket-type" value="Concession" onchange="option()"/>
                <label for="concession">Concession</label>
                <input type="radio" id="family" name="ticket-type" value="Family" onchange="option()"/>
                <label for="family">Family</label><br/>
                <input type="radio" id="SRMA" name="ticket-type" value="Sands Rewards Member (Adult)"
                       onchange="option()"/>
                <label for="SRMA">Sands Rewards Member (Adult)</label>
                <input type="radio" id="SRMC" name="ticket-type" value="Sands Rewards Member (Concession)"
                       onchange="option()"/>
                <label for="SRMC">Sands Rewards Member (Concession)</label><br/><br/>

                <label class="ticket-label">Number of tickets*: </label>
                <input type="number" name="quantity" id="Quantity" required max="5" min="1" value="1"
                       onchange="option()"><br/>
                <p class="additional-details">*If you ordered the family ticket set, indicate how many families will be
                    attending</p><br/>
            </form>

        </div>
        <div class="col-2 col-2-formatting">
            <form id="orderForm" onsubmit="showFinalMessage(); return false;" onreset="clearMessage()"><br/>
                <label class="ticket-label">Name: </label>
                <input name="name" type="text" id="Name" onchange="option()" placeholder="Enter your name"
                       required/><br/>

                <label class="ticket-label">Email: </label>
                <input name="email" type="email" id=Email" onchange="option()" placeholder="Enter your email"
                       required/><br/>

                <label class="ticket-label">Contact number: </label>
                <input name="number" pattern="^[689]\d{7}" type="text" id="Number" onchange="option()" placeholder="Enter your contact number"
                       required/><br/><br/>

                <input type="submit">
                <input type="reset">
            </form>
        </div>
    </div>
    <div class="ticket-display relative align-content-center" id="ticket-display">
        <img class="mx-auto" id="ticket-pic"/>
        <div class="absolute top-0 mx-auto w-full left-0 text-center ticket-details">
            <p id="event-name" class="ticket-header-display"></p><br/>
            <p id="number-of-tickets" class="ticket-price-display"></p><br/>
            <p id="event-date" class="ticket-date-display"></p>
        </div>
        <h3 id="finalmsg" class="final-message"></h3>
        
    </div>
    <a class="hover:text-blue-400 hover:underline booking" id="return-page" href="index.html">Return to the Main Page</a>
</section>

<div id="footer" class="footer-position"></div>
</body>